package cz.senslog.analytics.server.ws;

public class HttpIllegalArgumentException extends IllegalArgumentException {

    private final int code;

    public HttpIllegalArgumentException(int code, String message) {
        super(message);
        this.code = code;
    }

    public HttpIllegalArgumentException(int code, Throwable th) {
        super(th);
        this.code = code;
    }

    public int getCode() {
        return code;
    }
}
